Bug 85429 - indirect.c:296: multiple definition of `__indirect_glNewList'
Summary: indirect.c:296: multiple definition of `__indirect_glNewList'
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2014-10-25 07:27 UTC by Vinson Lee
Modified: 2014-10-27 03:01 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Proposed fix for link failure. (1006 bytes, text/plain)
2014-10-25 08:46 UTC, Mathias Fröhlich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-10-25 07:27:13 UTC
mesa: 762c68b8796bea8a277c883b94f7184a8307f274 (master 10.4.0-devel)

$ make check
[...]
  CXXLD    glx-test
../../../src/glx/.libs/libglx.a(indirect.o): In function `__indirect_glNewList':
mesa/src/glx/indirect.c:296: multiple definition of `__indirect_glNewList'
indirect_api.o:(.text+0x9c0): first defined here
Comment 1 Vinson Lee 2014-10-25 08:01:06 UTC
34a3c97fe6d273d68d2ee80386791832824f3211 is the first bad commit
commit 34a3c97fe6d273d68d2ee80386791832824f3211
Author: Mathias Fröhlich <Mathias.Froehlich@gmx.net>
Date:   Sun Sep 21 18:09:22 2014 +0200

    mesa: Implement ARB_clip_control.
    
    Implement the mesa parts of ARB_clip_control.
    So far no driver enables this.
    
    v3:
    Restrict getting clip control state to the availability
    of ARB_clip_control.
    Move to transformation state.
    Handle clip control state with the GL_TRANSFORM_BIT.
    Move _FrontBit update into state.c.
    
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Signed-off-by: Mathias Froehlich <Mathias.Froehlich@web.de>

:040000 040000 9bafaa348a2036c9a9292aa6803bff5a8881dc54 680c421dec4ede48ba15fb257b5ef2643451388b M	src
bisect run success
Comment 2 Mathias Fröhlich 2014-10-25 08:46:53 UTC
Created attachment 108386 [details]
Proposed fix for link failure.
Comment 3 Mathias Fröhlich 2014-10-25 13:30:20 UTC
Forget the previous patch.
Ian already posted an appropriate fix earlier.
Can you confirm that current master fixes the check failure for you too?
Thanks
Mathias
Comment 4 Emil Velikov 2014-10-27 03:01:44 UTC
Not the original reporter, yet master (Ian's patch) does resolve the issue on my system. Vinson feel free to reopen if it's not resolved :)


bug/show.html.tmpl processed on Mar 25, 2017 at 07:45:35.
(provided by the Example extension).